wxWidgets: wxGLContext Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxGLContext Class Reference
OpenGL

`#include <wx/glcanvas.h>`

Inheritance diagram for wxGLContext:
[legend]

## Detailed Description

An instance of a wxGLContext represents the state of an OpenGL state machine and the connection between OpenGL and the system.

The OpenGL state includes everything that can be set with the OpenGL API: colors, rendering variables, display lists, texture objects, etc. Although it is possible to have multiple rendering contexts share display lists in order to save resources, this method is hardly used today any more, because display lists are only a tiny fraction of the overall state.

Therefore, one rendering context is usually used with or bound to multiple output windows in turn, so that the application has access to the complete and identical state while rendering into each window.

Binding (making current) a rendering context with another instance of a wxGLCanvas however works only if the other wxGLCanvas was created with the same attributes as the wxGLCanvas from which the wxGLContext was initialized. (This applies to sharing display lists among contexts analogously.)

Note that some wxGLContext features are extremely platform-specific - its best to check your native platform's glcanvas header (on windows include/wx/msw/glcanvas.h) to see what features your native platform provides.

wxHAS_OPENGL_ES is defined on platforms that only have this implementation available (eg the iPhone) und don't support the full specification.

##

Library: wxGL
Category: OpenGL

See Also
  wxGLCanvas

## Public Member Functions
| wxGLContext (wxGLCanvas *win, const wxGLContext *other=NULL)
| Constructor.
virtual bool | SetCurrent (const wxGLCanvas &win) const
| Makes the OpenGL state that is represented by this rendering context current with the wxGLCanvas win.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxGLContext::wxGLContext | ( | wxGLCanvas * | win,
|  | const wxGLContext * | other = `NULL`
| ) |  |

Constructor.

Parameters

  win | The canvas that is used to initialize this context. This parameter is needed only temporarily, and the caller may do anything with it (e.g. destroy the window) after the constructor returned. It will be possible to bind (make current) this context to any other wxGLCanvas that has been created with equivalent attributes as win.
  other | Context to share display lists with or NULL (the default) for no sharing.

## Member Function Documentation

virtual bool wxGLContext::SetCurrent | ( | const wxGLCanvas & | win | ) | const
| virtual

Makes the OpenGL state that is represented by this rendering context current with the wxGLCanvas win.

Note
  win can be a different wxGLCanvas window than the one that was passed to the constructor of this rendering context. If RC is an object of type wxGLContext, the statements "RC.SetCurrent(win);" and "win.SetCurrent(RC);" are equivalent, see wxGLCanvas::SetCurrent().